%define	name	libdigidoc
%define	version	2.2.11
%define	release	%mkrel 5

%define realname digidoc

%define major 2
%define libname %mklibname %{realname} %major
%define libnamedev %mklibname %{realname} -d

Summary: Generic library implementing the XAdES digital signature standard
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System/Libraries
URL: http://sourceforge.net/projects/gdigidoc/
Source: http://heanet.dl.sourceforge.net/sourceforge/gdigidoc/%{name}-%{version}.tar.bz2
Patch0: libdigidoc-2.2.11-link.patch
Patch1: libdigidoc-2.2.11-openssl-1.0.patch
BuildRoot: %{_tmppath}/%{name}-buildroot

BuildRequires: pkgconfig openssl-devel libxml2-devel

%description
DigiDoc is a generic library implementing the XAdES digital signature standard.
It allows to create, sign, verify, and modify digidoc XML containers. Support
for doing hardware cryptographic signing operations is provided via PKCS#11
on all platforms and CSP on win32.

%package -n %{libname}
Summary: Generic library implementing the XAdES digital signature standard
Group: Development/Other
Provides: lib%{name} = %{version}

%description -n %{libname}
DigiDoc is a generic library implementing the XAdES digital signature standard.
It allows to create, sign, verify, and modify digidoc XML containers. Support
for doing hardware cryptographic signing operations is provided via PKCS#11
on all platforms and CSP on win32.


%package -n %{libnamedev}
Summary: Libdigidoc library headers and development libraries
Group: Development/Other
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Provides: libdigidoc-devel
Obsoletes: %{_lib}digidoc2-devel < %{version}-%{release}

%description -n %{libnamedev}
DigiDoc is a generic library implementing the XAdES digital signature standard.
It allows to create, sign, verify, and modify digidoc XML containers. Support
for doing hardware cryptographic signing operations is provided via PKCS#11
on all platforms and CSP on win32.

%prep
%setup -q -n %name-%{version}
%patch0 -p0
%patch1 -p0

%build
autoreconf -fi
%configure2_5x 
make

%install
rm -fr %buildroot
%makeinstall_std

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*
%config(noreplace) %_sysconfdir/*.conf
%_datadir/libdigidoc

%files -n %{libnamedev}
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%_libdir/pkgconfig/*.pc
%{_includedir}/*
%{_bindir}/*



%changelog
* Wed Apr 28 2010 Funda Wang <fwang@mandriva.org> 2.2.11-5mdv2010.1
+ Revision: 539932
- fix build with openssl 1.0

* Fri Feb 19 2010 Funda Wang <fwang@mandriva.org> 2.2.11-4mdv2010.1
+ Revision: 508568
- fix linkage

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.2.11-1mdv2008.1
+ Revision: 136550
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - import libdigidoc


* Sun Jul 02 2006 Emmanuel Andry <eandry@mandriva.org> 2.2.11-1mdv2007.0
- 2.2.11
- buildrequires openssl-devel libxml2-devel

* Mon Nov 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.1.21-2mdk
- Fix BuildRequires
- %%mkrel 

* Thu Oct 20 2005 Lenny Cartier <lenny@mandriva.com> 2.1.21-1mdk
- 2.1.21

* Tue Sep 21 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.93.0-1mdk
- from Veiko Sinivee <veiko.sinivee@solo.delfi.ee> :
	- updated to libdigidoc release 1.93

* Mon Jun 28 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.90.0-1mdk
- new
